This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 470904 - lvremove -ff VG can fail when VG contains snapshot
lvremove -ff VG can fail when VG contains snapshot
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 15:08 EST by Jaroslav Stava
Modified: 2009-12-12 02:55 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-12 02:55:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Stava 2008-11-10 15:08:49 EST
Description of problem:
lvremove -ff VG can fail when VG contains snapshot.
lvremove removes the LVs one by one using process_each_lv()
which is unaware of dependencies between the LVs.

How reproducible:
Allways when using the following steps.

Steps to Reproduce:
1. vgcreate vg /dev/sda
2. lvcreate -n lv1 -l 4 vg
3. lvcreate -s -n snap -l 4 vg/lv1
4. lvremove -ff vg

Actual results:
Can't remove logical volume "tlv" under snapshot
Logical volume "snap" successfully removed

($? = 5)
doesn't remove vg/lv1

Expected results:
Logical volume "snap" successfully removed
Logical volume "lv1" successfully removed

IOW "lvremove VG" should behave like "vgremove VG" without 
actually removing the VG.
Comment 1 Bug Zapper 2008-11-26 00:09:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Peter Rajnoha 2008-12-08 07:28:18 EST
The fix has already been uploaded to upstream (version 2.02.44).
Comment 3 Fedora Update System 2009-07-03 05:29:44 EDT
lvm2-2.02.48-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lvm2-2.02.48-1.fc11
Comment 4 Bug Zapper 2009-11-18 07:39:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Dave Wysochanski 2009-12-08 17:04:02 EST
Fixed on F11 as stated.

Note You need to log in before you can comment on or make changes to this bug.